# QMAKE Configuration file
# Copyright (c) 2007-2010, WOSH - Wide Open Smart Home 
# by Alessandro Polo - OpenSmartHome.com
# All rights reserved.
#######################################################
# Revision $Id: AimlQBot.pro 1598 2010-01-18 04:05:28Z alex $
#######################################################

CONFIG += console rtti stl exceptions thread moc
QT -= gui
QT += xml
QT += qt3support


DEPENDPATH += .
INCLUDEPATH += . ../../../

OBJECTS_DIR = ../../../../tmp/AimlQBot

HEADERS += AimlQBot.h
SOURCES += AimlQBot.cpp

HEADERS += AimlQBotBundle.h
SOURCES += AimlQBotBundle.cpp

HEADERS	+= 3rdparty/aimlparser.h
SOURCES	+= 3rdparty/aimlparser.cpp

########################################################################
#CONFIG += make_lib_static
#CONFIG += make_lib_shared
#CONFIG += make_plugin
CONFIG += make_app_test
########################################################################


########################################################################
############################################################# LIB STATIC
make_lib_static  {
	message("WOSH Framework - AimlQBot - LIB STATIC")

	TEMPLATE = lib
	CONFIG += staticlib
	TARGET = bundleAimlQBot
	DESTDIR = ../../../../lib

}
########################################################################
############################################################# LIB SHARED
make_lib_shared {
	message("WOSH Framework - AimlQBot - LIB SHARED")

	TEMPLATE = lib
	TARGET = bundleAimlQBot
	DESTDIR = ../../../../lib

}
########################################################################
################################################################# PLUGIN
make_plugin {
	message("WOSH Framework - AimlQBot - PLUGIN")

	TEMPLATE = lib
	TARGET = plugin_AimlQBotBundle
	DESTDIR = ../../../../bin

	SOURCES += plugin_AimlQBotBundle.cpp

}
########################################################################
########################################################################
############################################################### APP TEST
make_app_test {
	message("WOSH Framework - AimlQBot - APP TEST")

	TEMPLATE = app
	TARGET = test_AimlQBot
	DESTDIR = ../../../../bin

	LIBS += -L../../../../lib
	LIBS += -lcore

	HEADERS -= AimlQBotBundle.h
	SOURCES -= AimlQBotBundle.cpp

	SOURCES += test_AimlQBot.cpp

}
########################################################################
