# QMAKE Configuration file
# Copyright (c) 2007-2010, WOSH - Wide Open Smart Home 
# by Alessandro Polo - OpenSmartHome.com
# All rights reserved.
#######################################################
# Revision $Id: building.pro 2215 2010-03-26 16:43:35Z alex $
#######################################################

message( "WOSH - FRAMEWORK [Building]" )

DEFINES += WOSH_BUILDING

HEADERS += framework/building/BuildingObject.h
SOURCES += framework/building/BuildingObject.cpp

HEADERS += framework/building/BuildingGeometry.h
SOURCES += framework/building/BuildingGeometry.cpp

HEADERS += framework/building/Appliance.h
SOURCES += framework/building/Appliance.cpp

HEADERS += framework/building/AudioBox.h
SOURCES += framework/building/AudioBox.cpp

HEADERS += framework/building/Door.h
SOURCES += framework/building/Door.cpp

HEADERS += framework/building/DoorBell.h
SOURCES += framework/building/DoorBell.cpp

HEADERS += framework/building/Floor.h
SOURCES += framework/building/Floor.cpp

HEADERS += framework/building/Garden.h
SOURCES += framework/building/Garden.cpp

HEADERS += framework/building/House.h
SOURCES += framework/building/House.cpp

HEADERS += framework/building/Light.h
SOURCES += framework/building/Light.cpp


HEADERS += framework/building/Location.h
SOURCES += framework/building/Location.cpp


HEADERS += framework/building/Room.h
SOURCES += framework/building/Room.cpp

HEADERS += framework/building/Window.h
SOURCES += framework/building/Window.cpp


