# QMAKE Configuration file
# Copyright (c) 2007-2010, WOSH - Wide Open Smart Home 
# by Alessandro Polo - OpenSmartHome.com
# All rights reserved.
#######################################################
# Revision $Id: HeyuBundle.pro 1598 2010-01-18 04:05:28Z alex $
#######################################################

CONFIG += console rtti stl exceptions thread moc
QT -= gui

DEPENDPATH += .
INCLUDEPATH += . ../../../

OBJECTS_DIR = ../../../../tmp/Heyu

HEADERS += HeyuBinding.h
SOURCES += HeyuBinding.cpp

HEADERS += IHeyuBindingListener.h

HEADERS += HeyuBundle.h
SOURCES += HeyuBundle.cpp


########################################################################
# custom building setting (will override)
!include( ../services.pri ) {
	message( "*****  No custom build options specified. *****" )
	message( "*****  Building Bundles - Services - Heyu TEST *****" )
	#CONFIG += make_app_test
} 

#CONFIG += make_lib_static
#CONFIG += make_lib_shared
#CONFIG += make_plugin
#CONFIG += make_app_test
########################################################################


########################################################################
############################################################# LIB STATIC
make_lib_static  {
	message("WOSH Framework - Bundles - Services - Heyu - LIB STATIC")

	TEMPLATE = lib
	CONFIG += staticlib
	TARGET = bundleHeyu
	DESTDIR = ../../../../lib

}
########################################################################
############################################################# LIB SHARED
make_lib_shared {
	message("WOSH Framework - Bundles - Services - Heyu - LIB SHARED")

	TEMPLATE = lib
	TARGET = bundleHeyu
	DESTDIR = ../../../../lib

}
########################################################################
################################################################# PLUGIN
make_plugin {
	message("WOSH Framework - Bundles - Services - Heyu - PLUGIN")

	TEMPLATE = lib
	TARGET = plugin_Heyu
	DESTDIR = ../../../../bin

	SOURCES += plugin_HeyuBundle.cpp

}
########################################################################
########################################################################
############################################################### APP TEST
make_app_test {
	message("WOSH Framework - Bundles - Services - Heyu - APP TEST")

	TEMPLATE = app
	TARGET = test_Heyu
	DESTDIR = ../../../../bin

	LIBS += -L../../../../lib
	LIBS += -lcore

	HEADERS -= HeyuBundle.h
	SOURCES -= HeyuBundle.cpp

	SOURCES += test_HeyuBinding.cpp

}
########################################################################
