# QMAKE Configuration file
# Copyright (c) 2007-2010, WOSH - Wide Open Smart Home 
# by Alessandro Polo - OpenSmartHome.com
# All rights reserved.
#######################################################
# Revision $Id: dsm.pro 1598 2010-01-18 04:05:28Z alex $
#######################################################

message( "WOSH Testsuite -DSM- (multi-platform)" )

#####################################################
# generic configuration options
# woshsrv is a console application
#
TEMPLATE = app
TARGET = test_DSM


#####################################################
# include core and interfaces, see
# framework/framework.pro for options, many
# namespaces are disabled by default
#
!include( common.pri ) {
	error( "FATAL: Project file 'common.pri' is missing! (disaligned distribution?)" )
}

RESOURCES += framework/gui/gui.qrc
HEADERS += framework/gui/LogHandlerQRenderer.h
SOURCES += framework/gui/LogHandlerQRenderer.cpp


SOURCES += testsuite/dsm/test_DSM_globals.cpp
HEADERS += testsuite/dsm/test_DSM_globals.h

####################################
#CONFIG += console
#SOURCES += testsuite/dsm/test_DSM.cpp
#HEADERS += testsuite/dsm/test_DSM.h
####################################
QT += gui
SOURCES += testsuite/dsm/testform_DSM.cpp
HEADERS += testsuite/dsm/testform_DSM.h
FORMS   += testsuite/dsm/testform_DSM.ui
HEADERS += testsuite/dsm/testform_DSM_helpers.h
####################################

