# QMAKE Configuration file
# Copyright (c) 2007-2010, WOSH - Wide Open Smart Home 
# by Alessandro Polo - OpenSmartHome.com
# All rights reserved.
#######################################################
# Revision $Id: communication.pro 2052 2010-03-07 11:24:36Z alex $
#######################################################

message( "WOSH - FRAMEWORK [Communication]" )

DEFINES += WOSH_COMMUNICATION


HEADERS += framework/communication/AudioMessage.h
SOURCES += framework/communication/AudioMessage.cpp

HEADERS += framework/communication/ContactInfo.h

HEADERS += framework/communication/ImageMessage.h
SOURCES += framework/communication/ImageMessage.cpp

HEADERS += framework/communication/NotificationConversion.h

HEADERS += framework/communication/NotificationFlow.h
SOURCES += framework/communication/NotificationFlow.cpp


HEADERS += framework/communication/Session.h
SOURCES += framework/communication/Session.cpp

HEADERS += framework/communication/SessionAsynch.h
SOURCES += framework/communication/SessionAsynch.cpp

HEADERS += framework/communication/SessionIM.h
SOURCES += framework/communication/SessionIM.cpp

HEADERS += framework/communication/SessionProtocol.h

HEADERS += framework/communication/SessionProtocolShell.h
SOURCES += framework/communication/SessionProtocolShell.cpp

HEADERS += framework/communication/SessionShell.h
SOURCES += framework/communication/SessionShell.cpp

HEADERS += framework/communication/ShellCommand.h
SOURCES += framework/communication/ShellCommand.cpp


HEADERS += framework/communication/TextMessage.h
SOURCES += framework/communication/TextMessage.cpp

HEADERS += framework/communication/VoiceCall.h
SOURCES += framework/communication/VoiceCall.cpp

