# QMAKE Configuration file
# Copyright (c) 2007-2010, WOSH - Wide Open Smart Home 
# by Alessandro Polo - OpenSmartHome.com
# All rights reserved.
#######################################################
# Revision $Id: database.pro 1957 2010-02-25 17:57:54Z alex $
#######################################################

DEFINES += WOSH_DATABASE

!CONFIG(WOSH_DATABASE_QT) {
	!CONFIG(WOSH_DATABASE_libxml2) {
		CONFIG += WOSH_DATABASE_QT
		message( "WOSH - FRAMEWORK [DataBase] (Unset, forced: Qt)" )
	}
}

#temp:
QT += xml

#####################################################
#####################################################


#####################################################
#####################################################


##########################################################################################################
##########################################################################################################


DEFINES += WOSH_DATABASE_XML
QT += xml


message( "WOSH - FRAMEWORK [Database XML] - OOOOLLLDDDD" )


HEADERS += framework/database/EncoderXML.h
SOURCES += framework/database/EncoderXML.cpp
HEADERS += framework/database/EncoderXMLCommon.h
SOURCES += framework/database/EncoderXMLCommon.cpp

HEADERS += framework/database/SerializableXML.h


WOSH_AUTOMATIONS {
	HEADERS += framework/database/CoderXML_Automations.h
	SOURCES += framework/database/CoderXML_Automations.cpp
}

WOSH_BUILDING {
	HEADERS += framework/database/CoderXML_Building.h
	SOURCES += framework/database/CoderXML_Building.cpp
}

WOSH_COMMUNICATION {
	HEADERS += framework/database/CoderXML_Communication.h
	SOURCES += framework/database/CoderXML_Communication.cpp
}

HEADERS += framework/database/CoderXML_Core.h
SOURCES += framework/database/CoderXML_Core.cpp

WOSH_ENTERTAINMENT {
	HEADERS += framework/database/CoderXML_Entertainment.h
	SOURCES += framework/database/CoderXML_Entertainment.cpp
}

WOSH_SECURITY {
	HEADERS += framework/database/CoderXML_Security.h
	SOURCES += framework/database/CoderXML_Security.cpp
}

HEADERS += framework/database/CoderXML_Xtended.h
SOURCES += framework/database/CoderXML_Xtended.cpp

########################################################
########################################################

DB_SQL {

	message( "WOSH - FRAMEWORK [Database SQL]" )

	DEFINES += WOSH_DATABASE_SQL
	QT += sql

	HEADERS += framework/database/CoderSQL_Core.h
	SOURCES += framework/database/CoderSQL_Core.cpp

	HEADERS += framework/database/EncoderSQL.h
	SOURCES += framework/database/EncoderSQL.cpp
	HEADERS += framework/database/EncoderSQLCommon.h
	SOURCES += framework/database/EncoderSQLCommon.cpp

	HEADERS += framework/database/SerializableSQL.h


	WOSH_ENTERTAINMENT {
		HEADERS += framework/database/CoderSQL_Entertainment.h
		SOURCES += framework/database/CoderSQL_Entertainment.cpp
	}

}
