# QMAKE Configuration file
# Copyright (c) 2007-2010, WOSH - Wide Open Smart Home 
# by Alessandro Polo - OpenSmartHome.com
# All rights reserved.
#######################################################
# Revision $Id: framework.pro 1957 2010-02-25 17:57:54Z alex $
#######################################################

WOSH_AI {
	!include( framework/ai/ai.pro ) {
		error( "FATAL: Project file 'framework/ai/ai.pro' is missing! (disaligned distribution?)" )
	}
}

WOSH_AUTOMATIONS {
	!include( framework/automations/automations.pro ) {
		error( "FATAL: Project file 'framework/automations/automations.pro' is missing! (disaligned distribution?)" )
	}
}

WOSH_BUILDING {
	!include( framework/building/building.pro ) {
		error( "FATAL: Project file 'framework/building/building.pro' is missing! (disaligned distribution?)" )
	}
}

WOSH_COMMUNICATION {
	!include( framework/communication/communication.pro ) {
		error( "FATAL: Project file 'framework/communication/communication.pro' is missing! (disaligned distribution?)" )
	}
}

WOSH_ENTERTAINMENT {
	!include( framework/entertainment/entertainment.pro ) {
		error( "FATAL: Project file 'framework/entertainment/entertainment.pro' is missing! (disaligned distribution?)" )
	}
}

WOSH_GUI {
	!include( framework/gui/gui.pro ) {
		error( "FATAL: Project file 'framework/gui/gui.pro' is missing! (disaligned distribution?)" )
	}
}

!include( framework/network/network.pro ) {
	error( "FATAL: Project file 'framework/network/network.pro' is missing! (disaligned distribution?)" )
}

WOSH_PLUGINS {
	!include( framework/plugins/plugins.pro ) {
		error( "FATAL: Project file 'framework/plugins/plugins.pro' is missing! (disaligned distribution?)" )
	}
}

WOSH_SECURITY {
	!include( framework/security/security.pro ) {
		error( "FATAL: Project file 'framework/security/security.pro' is missing! (disaligned distribution?)" )
	}
}

!include( framework/xtended/xtended.pro ) {
	message( "*****  No framework/xtended/xtended.pro file found. *****" )
	message( "*****  FAILED *****" )
}


# should be last, since there may be conditions based on defines
#
!include( framework/database/database.pro ) {
	error( "FATAL: Project file 'framework/database/database.pro' is missing! (disaligned distribution?)" )
}




!include( framework/persistence/persistence.pro ) {
	error( "FATAL: Project file 'framework/persistence/persistence.pro' is missing! (disaligned distribution?)" )
}

