# QMAKE Configuration file
# Copyright (c) 2007-2010, WOSH - Wide Open Smart Home 
# by Alessandro Polo - OpenSmartHome.com
# All rights reserved.
#######################################################
# Revision $Id: persistence.pro 1952 2010-02-25 03:02:48Z alex $
#######################################################

DEFINES += WOSH_PERSISTENCE

!CONFIG(WOSH_PERSISTENCE_QT) {
	!CONFIG(WOSH_PERSISTENCE_libxml2) {
		CONFIG += WOSH_PERSISTENCE_QT
		message( "WOSH - FRAMEWORK [Persistence] (Unset, forced: Qt)" )
	}
}

#temp:
QT += xml

#####################################################
#####################################################

WOSH_PERSISTENCE_QT {
	DEFINES += WOSH_PERSISTENCE_QT
	!include( framework/persistence/Qt/persistence.Qt.pro ) {
		error( "FATAL: Project file 'framework/persistence/Qt/persistence.Qt.pro' is missing! (disaligned distribution?)" )
	}
}

WOSH_PERSISTENCE_libxml2 {
	DEFINES += WOSH_PERSISTENCE_libxml2
	!include( framework/persistence/libxml2/persistence.libxml2.pro ) {
		error( "FATAL: Project file 'framework/persistence/libxml2/persistence.libxml2.pro' is missing! (disaligned distribution?)" )
	}
}

#####################################################
#####################################################

#####################################################
# XML Encoding (reader and writer)
#
HEADERS += framework/persistence/IEncoderXml.h
HEADERS += framework/persistence/EncoderXml.h

#####################################################
# SQL Encoding (reader and writer)
#
HEADERS += framework/persistence/IEncoderSql.h
HEADERS += framework/persistence/EncoderSql.h




#####################################################
# RAW Encoding (reader and writer)
#
HEADERS += framework/persistence/EncoderRaw.h
SOURCES += framework/persistence/EncoderRaw.cpp


