# QMAKE Configuration file
# Copyright (c) 2007-2010, WOSH - Wide Open Smart Home 
# by Alessandro Polo - OpenSmartHome.com
# All rights reserved.
#######################################################
# Revision $Id: woshlib.pro 2186 2010-03-21 01:50:49Z alex $
#######################################################

message( "WOSH Library [static] (multi-platform)" )

#####################################################
# generic configuration options
# libwosh is a library
#
CONFIG += console
CONFIG += staticlib
TEMPLATE = lib
TARGET = libwosh



#####################################################
#temp, prova x dll
DEFINES += WOSH_C_IMPORT
#####################################################



#####################################################
# set namespaces of the WOSH Framework to build-in
#
#CONFIG += WOSH_AI
CONFIG += WOSH_AUTOMATIONS
CONFIG += WOSH_BUILDING
CONFIG += WOSH_COMMUNICATION
CONFIG += WOSH_ENTERTAINMENT
CONFIG += WOSH_PLUGINS
CONFIG += WOSH_SECURITY

#CONFIG += WOSH_KIOSK
#CONFIG += WOSH_GUI
#CONFIG += DB_SQL


#####################################################
# include core and interfaces, see
# framework/framework.pro for options, many
# namespaces are disabled by default
#
!include( common.pri ) {
	error( "FATAL: Project file 'common.pri' is missing! (disaligned distribution?)" )
}
#####################################################
# include WOSH Framework, framework options must be
# configured before following command.
#
!include( framework/framework.pro ) {
	error( "FATAL: Project file 'framework/framework.pro' is missing! (disaligned distribution?)" )
}
#####################################################



